Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaHotCodeReplaceListener

public interface IJavaHotCodeReplaceListener

Notification of hot code replace failure and success. As resources are modified in the workspace, targets that support hot code replace are udpated with new class files.

Clients may implement this interface

Since:
  2.0

Method Summary
`void` | `hotCodeReplaceFailed(IJavaDebugTarget target, DebugException exception)` Notification that a hot code replace attempt failed in the given target.
`void` | `hotCodeReplaceSucceeded(IJavaDebugTarget target)` Notification that a hot code replace attempt succeeded in the given target.
`void` | `obsoleteMethods(IJavaDebugTarget target)` Notification that obsolete methods remain on the stack in one or more threads in the given target after a hot code replace.

Method Detail

### hotCodeReplaceFailed

    public void hotCodeReplaceFailed(IJavaDebugTarget target,
                                     DebugException exception)

  Notification that a hot code replace attempt failed in the given target.

  Parameters:
    `target` - the target in which the hot code replace failed
    `exception` - the exception generated by the hot code replace failure, or `null` if the hot code replace failed because the target VM does not support hot code replace

### hotCodeReplaceSucceeded

    public void hotCodeReplaceSucceeded(IJavaDebugTarget target)

  Notification that a hot code replace attempt succeeded in the given target.

  Parameters:
    `target` - the target in which the hot code replace succeeded

### obsoleteMethods

    public void obsoleteMethods(IJavaDebugTarget target)

  Notification that obsolete methods remain on the stack in one or more threads in the given target after a hot code replace.

  Parameters:
    `target` - the target in which obsolete methods remain after a hot code replace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.